/* Import the Roboto font from Google Fonts */
@import url('https://fonts.googleapis.com/css?family=Roboto:wght@500');

/* https://developers.google.com/identity/branding-guidelines */
/* https://learn.microsoft.com/en-us/azure/active-directory/develop/howto-add-branding-in-apps */

/*
Google Blue: 
    #4285F4 
    rgb(66, 133, 244)
Microsoft Blue: 
    #00a1f1 
    rgb(0, 161, 241)
*/

div.hr {
    margin-top: 0;
    margin-bottom: 0;
    border: 0;
    border-top: 1px solid #ddd;
    text-align: center;
    height: 0;
    line-height: 0;
}

.img-container {
    position: relative;
}

.img-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(rgba(255, 255, 255, 0.0), rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 1.0));
    z-index: 1;
}

.text-omnien {
    color: #00A1F1;
}

.text-omnien-light {
    color: #495057;
}

.text-omnien-darkb {
    color: #2cbbad;
}

.text-omnien-lightb {
    color: #2cbbad;
    background: rgba(0, 17, 21, 0.6);
    /*border-radius: 5%;*/
}

.link-omnien {
    text-decoration: none;
    color: #005568;
}

.link-footer {
    text-decoration: none;
    color: #80abb4;
}

.gradient-text {
    /* font-size: 48px; */
    /* Set your desired font size */
    background-clip: text;
    color: transparent;
    /* Make the text color transparent */
    -webkit-background-clip: text;
    /* For better browser compatibility */
}

.gradient-text-1 {
    background-image: linear-gradient(90.0deg, #005568 0%, #652D89 100%);
}

.gradient-text-2 {
    background-image: linear-gradient(90.0deg, #005568 0%, #F58025 100%);
}

.gradient-text-3 {
    background-image: linear-gradient(90.0deg, #005568 0%, #0096D6 100%);
}

.gradient-text-4 {
    background-image: linear-gradient(90.0deg, #005568 0%, #C41230 100%);
}

#demo-button {
    width: 100%;
    height: 100%;
    color: white;
    background: #005568;
    border-color: #005568;
    border-width: 0.25rem;
}

#demo-button:hover {
    color: #005568;
    background: #ffffff;
    border-color: #005568;
    border-width: 0.25rem;
}

.split-background {
    background: linear-gradient(to right, white 50%, #f8f9fa 50%);
}

@media (max-width: 768px) {
    .split-background {
        background: linear-gradient(to bottom, white 50%, #f8f9fa 50%);
    }
}

/*Begin: Social login buttons */

#login-google-button::before {
    background-image: url("../signin-assets/google/Google_G_logo.svg");
}

#login-microsoft-button::before {
    background-image: url("../signin-assets/microsoft/Microsoft-logo.svg");
}

/* Base button styles */
.google-sign-in-button {
    background-color: #ffffff;
    color: #6d6d6d;

    border: none;
    border-radius: 4px;

    padding-left: 50px;
    padding-right: 8px;
    padding-top: 8px;
    padding-bottom: 8px;

    height: 40px;
    font-size: 15px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Roboto Medium', sans-serif;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    /* Box shadow for the button */

    position: relative;
    overflow-anchor: none;
    text-decoration: none;
}

.google-sign-in-button::before {
    content: "";
    position: absolute;
    top: 0;
    left: 8px;
    width: 100%;
    height: 100%;
    background-size: 18px 18px;
    background-repeat: no-repeat;
    background-position: left;
}

/* Hover effect */
.google-sign-in-button:hover {
    background-color: #ffffff;
    color: #6d6d6d;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3);
    /* Slightly larger shadow on hover */
}

/* Focus effect */
.google-sign-in-button:focus {
    background-color: #ffffff;
    color: #6d6d6d;
    outline: none;
    box-shadow: 0 0 0 3px rgba(66, 133, 244, 0.3), 0 4px 8px 0 rgba(0, 0, 0, 0.3);
    /* Google Blue border with shadow on focus */
    /* Google Blue with 30% opacity */
}

/* Focus effect */
.google-sign-in-button:active {
    background-color: #eeeeee;
    color: #6d6d6d;
    outline: none;
    box-shadow: 0 0 0 3px rgba(66, 133, 244, 0.3), 0 4px 8px 0 rgba(0, 0, 0, 0.3);
    /* Google Blue border with shadow on focus */
    /* Google Blue with 30% opacity */
}

/* Disable effect */
.google-sign-in-button:disabled {
    background-color: #1d1d1d;
    color: #131110;
    cursor: not-allowed;
    box-shadow: none;
    /* Remove shadow for disabled state */
}

.microsoft-sign-in-button {
    background-color: #ffffff;
    color: #5e5e5e;

    border: 1px solid #8c8c8c;
    border-radius: 0;

    padding-left: 50px;
    padding-right: 8px;
    padding-top: 8px;
    padding-bottom: 8px;

    height: 41px;
    font-size: 15px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Segoe UI', sans-serif;
    font-weight: 600;
    /* box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25); */
    /* Box shadow for the button */

    position: relative;
    overflow-anchor: none;
    text-decoration: none;
}

.microsoft-sign-in-button::before {
    content: "";
    position: absolute;
    top: 0;
    left: 8px;
    width: 100%;
    height: 100%;
    background-size: 18px 18px;
    background-repeat: no-repeat;
    background-position: left;
}

/* Hover effect */
.microsoft-sign-in-button:hover {
    background-color: #efefef;
    color: #5e5e5e;
    /* box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3); */
    /* Slightly larger shadow on hover */
}

/* Focus effect */
.microsoft-sign-in-button:focus {
    background-color: #efefef;
    color: #5e5e5e;
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 161, 241, 0.3), 0 4px 8px 0 rgba(0, 0, 0, 0.3);
}

/* Focus effect */
.microsoft-sign-in-button:active {
    background-color: #efefef;
    color: #5e5e5e;
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 161, 241, 0.3), 0 4px 8px 0 rgba(0, 0, 0, 0.3);
}

/* Disable effect */
.microsoft-sign-in-button:disabled {
    background-color: #1d1d1d;
    color: #131110;
    cursor: not-allowed;
    box-shadow: none;
    /* Remove shadow for disabled state */
}

/* End: Social login buttons */

/* Begin: Sections */

#nav-bar {
    background: #f8f9fa;
    color: #005568;
}

#hero {
    background: #ffffff;
    background-image: url("../images/Omnien Logo Row Light.svg");
    background-position: left top;
    background-repeat: repeat-y;
    background-size: 100%;
    position: relative;
}

#info {
    background: #ffffff;
}

#info-box {
    background: #f8f9fa;
}

#knowledge-base {
    background: #ffffff;
}

#ticketing-and-reporting {
    background: #ffffff;
}

#messaging-channels {
    background: #f8f9fa;
}

#video-calling {
    background: #f8f9fa;
}

#ai {
    background: #e6eef0;
}

#use-cases {
    background: #e6eef0;
}


#call-to-action {
    background: #000000;
    background-image: url("../images/Omnien Logo Row GradientSpectrum.svg");
    background-position: left top;
    background-repeat: repeat-y;
    background-size: 100%;
    position: relative;
}

#footer {
    background: #001115;
}

#copyright {
    background: black;
}

/* End: Sections */